Mam problem przy zmianie php z 7.4 na 8

Dział dot. modyfikacji motywów Wordpress oraz rozwiązań napotkanych problemów.
no avatar
gregory35
 
Posty: 2
Reputacja: 0 pkt
Od: 4 sty 2022, o 22:09

Mam problem przy zmianie php z 7.4 na 8

przez gregory35 » 4 sty 2022, o 22:17

Witam i pozdrawiam
Zarządzam stroną https://www.sp.luzino.pl/
Funkcjonuje ona na wordpressie 5.8.2, php 7.4
Przy próbie przejścia na php 8 pojawia się następujący błąd: Too few arguments to function WP_Widget::__construct(), 0 passed in /home/spluzino/public_html/wp-includes/class-wp-widget-factory.php on line 61 and at least 2 expected
Próbowałem wyłączyć wszystkie wtyczki i ponownie je uruchamiałem, ale okazało się, że nie tędy droga. Próbowałem ponownej instalacji wordpressa, ale to również nie pomogło. Myślę, że problem tkwi w szablonie. Po zmianie szablonu na inny i włączeniu PHP 8 strona funkcjonuje normalnie.
Proszę o pomoc
Grzegorz

no avatar
gilbertwojaczekkubica
 
Posty: 2
Reputacja: 0 pkt
Od: 4 lip 2022, o 08:57

Re: Mam problem przy zmianie php z 7.4 na 8

przez gilbertwojaczekkubica » 11 lip 2022, o 02:44

Cześć @gregory35 !
Polecam ten link: https://wordpress.org/support/topic/too-few-arguments-to-function-wp_widget__construct/, jak i również szukanie w Google po kodzie błędu Too few arguments to function WP_Widget::__construct().
Jak dobrze rozumiem funkcja WP_Widget nie jest wspierana w PHP 8.0, więc trzeba dokonać odpowiednich zmian w widgecie - /home/spluzino/public_html/wp-includes/class-wp-widget-factory.php on line 61 and at least 2 expected.

Powodzenia! Daj znać co udało Ci się ustalić :)

no avatar
gregory35
 
Posty: 2
Reputacja: 0 pkt
Od: 4 sty 2022, o 22:09

Re: Mam problem przy zmianie php z 7.4 na 8

przez gregory35 » 11 sie 2022, o 20:47

Dziękuję za wskazówki. Znam artykuł spod linku. Mimo działań problem pozostał: W dalszym ciągu pojawia się komunikat:
Too few arguments to function WP_Widget::__construct(), 0 passed in /home/spluzino/public_html/wp-includes/class-wp-widget-factory.php on line 61 and at least 2 expected in /home/spluzino/public_html/wp-includes/class-wp-widget.php:162.
Pod php 7.4 działa. Po próbie przejścia na 8 lub 8.1 wywala błąd jak powyżej. Dla zainteresowanych mogę przesłać dwa pliki o których mowa w błędzie.




  • Podobne tematy
    Odpowiedzi
    Wyświetlone
    Ostatni post

Powrót do Modyfikacja motywów Wordpress

Kto przegląda forum Wordpress

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników i 0 gości